/* *******************************************************
 * References.js
 *
 * (c) 2005 Alexander C. Hubmann
 *
 * Wrapper for references
 * Re-write from Java
 *
 * $Id: References.js 103 2005-05-01 14:57:29Z sascha $
 ********************************************************/

/**
 * Constructor
 */
function References(references)
{
    /**
     * Store message ids of references
     */
    this.references_ = new Array;

    // javascript links to methods
    this.buildReferences(references);
}


/**
 * build references array
 */
References.prototype.buildReferences = function(references)
{
    if (references != null && references != "")
    {
        var splitted = references.split(" ");
        var reference = null;
        for (key in splitted)
        {
            reference = splitted[key];
            reference = reference.replace(/</, "");
            reference = reference.replace(/>/, "");
            this.references_.push(reference);
        }
    }
}


/**
 * get references array
 */
References.prototype.getReferences = function()
{
    return this.references_;
}


/**
 * Get string representation of object
 */
References.prototype.toString = function()
{
    //return this.references_;
    var string = "";
    for (referenceskey in this.references_)
    {
        string += this.references_[referenceskey];
    }
    return string;
}
